

timed_event_1 = room {
    forcedsc = true,
    hideinv = true,
    nam = "Часы пробили 10",
    pic = "gfx/story.png",
    dsc = function(s, w)
        if story.clue3 == 0 then
        -- Если улика 3 не найдена, каждый исследователь получает 1 ужас.
        else
            if story.c == 1 then
                p([[Огненная фигура идет по коридору к спальне.]])
                -- Поместите зомби в коридоре 2, с маркером огня около него. Когда он наносит
                -- повреждения, поместите маркер огня в комнату с ним.
            else
                p([[То, что осталось от человека без кожи, распахивает дверь лаборатории.]])
                -- Поместите зомби в фойе. Каждый исследователь получает 1 ужас.
            end
        end
    end,
    obj = {
        obj { nam = '', dsc=[[{Продолжить}]], act=code[[walkback()]] },
    },
};


timed_event_2 = room {
    forcedsc = true,
    hideinv = true,
    nam = "Часы пробили 11",
    pic = "gfx/story.png",
    dsc = function(s, w)
        if story.clue2 == 0 then
        -- Если улика 2 не найдена, каждый исследователь получает 1 ужас.
        else
            if story.b == 1 then
                p([[Сумасшедший поднимает свой топор и бежит по коридору.]])
                -- Хранитель может перемещать маньяка до 2 клеток.
            else
                p([[Свет на мгновение гаснет, и звуки выстрелов эхом разносятся по коридору.]])
                -- Каждый исследователь в спальне получает 2 повреждения.
            end
        end
    end,
    obj = {
        obj { nam = '', dsc=[[{Продолжить}]], act=code[[walkback()]] },
    },
};


timed_event_3 = room {
    forcedsc = true,
    hideinv = true,
    nam = "Часы пробили 12",
    pic = "gfx/story.png",
    dsc = function(s, w)
        p([[Живой труп поднимается из своего места упокоения. Судя по фотографии,
          которые вы видели, это, несомненно, Эдит Линч,
          хоть и мертвая уже несколько недель.]])
        if story.b == 1 then
            -- TODO: place zombie in basement
        else
            -- TODO: place zombie in garden
        end
    end,
    obj = {
        obj { nam = '', dsc=[[{Продолжить}]], act=code[[walkback()]] },
    },
};


timed_event_4 = room {
    forcedsc = true,
    hideinv = true,
    nam = "Часы пробили 1",
    pic = "gfx/story.png",
    dsc = function(s, w)
        if story.a == 1 then
            p([[Земля сильно сотрясается.]])
            -- Поместите 1 маркер времени на следующей карте событий.
        elseif story.a == 2 then
            p([[Старый дом стонет.]])
            -- Сбросить все карты замков.
        else
            p([[Входная дверь с громким щелчком захлопывается.]])
            -- Для того, чтобы спастись, исследователь должен решить головоломку замок # 6B.
        end
    end,
    obj = {
        obj { nam = '', dsc=[[{Продолжить}]], act=code[[walkback()]] },
    },
};


timed_event_5 = room {
    forcedsc = true,
    hideinv = true,
    nam = "Часы пробили 2",
    pic = "gfx/story.png",
    dsc = function(s, w)
        p([[Как только часы пробили 2, земля начинает трястись. Что-то древнее
          и глубинное быстро тянет фундамент в землю. Ответы и борьба
          исследователей и монстров за свои жизни больше не имеют значения.]])
        -- 1A: Хранитель выигрывает игру.
        -- 1B: Следователи выигрывают игру.
        -- 1C: Все игроки проиграли.
    end,
    obj = {
        obj { nam = '', dsc=[[{Игра окончена}]], act=code[[walkback()]] },
    },
};
